Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Tip: zet een pakketversie vast met apt-mark  (gelezen 617 keer)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Tip: zet een pakketversie vast met apt-mark
« Gepost op: 2015/04/27, 20:20:54 »
Stel,  je hebt net een nieuw Nvidia-stuurprogramma geïnstalleerd met behulp van de mamarley PPA:
https://sites.google.com/site/computertip/lenovo#TOC-Installatie-via-de-PPA-mamarley-nvidia

Bijvoorbeeld de nvidia-349. Nu wil je die PPA niet verwijderen uit je bronnenlijst, want je hebt hoge verwachtingen van een toekomstig nog nieuwer Nvidia-stuurprogramma (bijvoorbeeld de nvidia-350). En daarvoor wil je dan weer die PPA gaan gebruiken.

Maar je wil ook weer geen risico's lopen door "kleine" updates binnen de nvidia-349-reeks. In dat geval kun je de nvidia-349 als volgt vastzetten:
sudo apt-mark hold nvidia-349
Ongedaan maken van de vastzetting is makkelijk:
sudo apt-mark unhold nvidia-349
Doe er je voordeel mee!   :)
« Laatst bewerkt op: 2015/04/27, 20:25:45 door Pjotr »

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #1 Gepost op: 2015/04/27, 21:26:57 »
Bijvoorbeeld de nvidia-349. Nu wil je die PPA niet verwijderen uit je bronnenlijst, want je hebt hoge verwachtingen van een toekomstig nog nieuwer Nvidia-stuurprogramma (bijvoorbeeld de nvidia-350). En daarvoor wil je dan weer die PPA gaan gebruiken.
Wat is er iets mis met updates van nvidia-349 en/of bijzonders te verwachten van de nvidia-350 ppa?
Citaat van: PinningHowto
you should probably not do this on an Ubuntu system.
Ik heb zojuit de Sleepnet-kieswijzer ingevuld op www.waartrekjijdegrens.nl/

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #2 Gepost op: 2015/04/27, 21:50:02 »
Stel, je hebt Ubuntu 14.04 en een splinternieuwe Nvidia GTX-970 videokaart. Dan heb je niks aan de nvidia-331 in de officiële bronnen van 14.04, want die is te oud voor die kaart. Een PPA is dan onvermijdelijk, als je tenminste de volle kracht van je videokaart wil ontketenen.

Je kunt via een relatief betrouwbare PPA (de mamarley PPA) de nvidia-349 installeren, die je videokaart wel ondersteunt. Op dit moment is dat bijvoorbeeld de nvidia-349.16. Stel, daar blijkt-ie het goed en stabiel op te doen.

Je wil dan niet worden lastiggevallen met een "kleine" update naar bijvoorbeeld de nvidia-349.20, want misschien veroorzaakt die wel een zware storing van je grafische omgeving: zelfs met een tamelijk betrouwbare PPA weet je het maar nooit. De kwaliteitscontrole door een PPA-beheerder, is immers doorgaans niet te vergelijken met de kwaliteitscontrole op de officiële pakketbronnen.

Ter wille van het behoud van een stabiel systeem, kan het in zo'n geval dus verstandig zijn om 'm vast te pinnen op de nvidia-349.16 (om bij het voorbeeld te blijven). Welnu, dat kan bijvoorbeeld met apt-mark.

Dat is mijn tip; een ieder kan ermee doen wat-ie wil.
« Laatst bewerkt op: 2015/04/28, 00:14:46 door Pjotr »

Offline jan11000

  • Lid
  • Steunpunt: Nee
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #3 Gepost op: 2015/05/12, 08:16:59 »
Kan wel zijn dat je beveiliging updates gaat mis lopen, want ik dacht dat nvidia dit eens gehad heeft, dus vastzetten heeft risico's, en wat van gebruikers die dit vergeten, dus het vastzetten!

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #4 Gepost op: 2015/05/12, 10:31:26 »
Kan wel zijn dat je beveiliging updates gaat mis lopen, want ik dacht dat nvidia dit eens gehad heeft, dus vastzetten heeft risico's, en wat van gebruikers die dit vergeten, dus het vastzetten!
Klopt. Maar de veiligheidsrisico's van een vastgezet Nvidia-stuurprogramma zijn doorgaans verwaarloosbaar.  En dus zal het belang van stabiliteit (blijvend goede werking) in zo'n geval de overhand hebben.  :)

De echte risico's zitten elders, in Firefox, Flash Player, Chrome en dergelijke. Die wil je dus ook beslist niet vastzetten....

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #5 Gepost op: 2015/05/12, 23:37:36 »
Kan wel zijn dat je beveiliging updates gaat mis lopen, want ik dacht dat nvidia dit eens gehad heeft, dus vastzetten heeft risico's
Paar maanden terug nog USN-2438-1: NVIDIA graphics drivers vulnerabilities

Een onbekende kan de computer onbruikbaar maken of de computer en mogelijk op afstand opdrachten geven:
Citaat van: CVE-2014-8298
allows remote attackers to cause a denial of service (segmentation fault and X server crash) or possibly execute arbitrary code
Gelukkig is de kans dat iemand bewust en uitgerekend jouw computer met deze kwetsbaarheid aanvalt (in normale situaties) bijzonder klein. In praktijk normaal gesproken ook geen probleem, geen paniek. Don't worry  ^-^
De kwaliteitscontrole door een PPA-beheerder, is immers doorgaans niet te vergelijken met de kwaliteitscontrole op de officiële pakketbronnen.
Dat is “in het algemeen” lastig te vergelijken. Gemiddeld kunnen PPA's (het zijn er ook zo veel!) slecht worden onderhouden of “experimenteel” zijn maar dat wil niet zeggen dat de kwaliteit van software van een (bepaalde) PPA-beheerder minder is dan de kwaliteit van een officiële pakketbron. Verschil in kwaliteitscontrole zit vooral in de onafhankelijkheid van een vaste release(=test)periode en dat kan ook een voordeel geven.

Canoncical is alleen verantwoordelijk voor (enige kwaliteitscontrole op) updates van pakketten in de Main pakketbron (veel leuke software zit in de Universe en Multiverse pakketbronnen, beheerd door de gemeenschap of anderen!) en dus niet voor het NVIDIA stuurprogramma, zie de tekst onderaan Software &Updates → Extra stuurprogramma's
Citaat
Een niet-vrij stuurprogramma bevat eigen code die niet door Canonical-ontwikkelaars kan worden herzien of verbeterd. Beveiligingsupdates en andere updates hangen af van de leverancier van het stuurprogramma
Graag begrijp ik de eerder aangehaalde opmerking uit de Engelstalig wiki, die deze tip niet zomaar lijkt aan te raden voor Ubuntu, wat zijn “dingen als de libc6 versie”?
Note however that the processes described below will only work if things like libc6 versions match, so you should probably not do this on an Ubuntu system.

Ik heb zojuit de Sleepnet-kieswijzer ingevuld op www.waartrekjijdegrens.nl/

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #6 Gepost op: 2015/05/13, 00:00:33 »
Als ik het goed begrijp slaat die laatste waarschuwing vooral op het gebruik van pinning en sommige backports, zodat je pakketten uit verschillende versies van Ubuntu/Debian/enz. kan combineren zonder dat je hele systeem over gaat naar de nieuwere versie. Op de Debian wiki staan ook de nodige waarschuwingen over de risico's.

Een pakket op hold zetten lijkt me een stuk minder risicovol, je vertelt alleen aan het pakketbeheersysteem dat je een bepaald pakket niet wil upgraden.
Dit staat verder los van de discussie over het gebruik van PPA's. Mits je dat terughoudend doet en eerst onderzoek doet naar de betrouwbaarheid van de beheerder zal dat weinig problemen geven is mijn ervaring. Maar hier verschillen de meningen over en die discussie wil ik hier niet nog een keer voeren.

Overigens zou ik zelf gewoon alle updates binnenhalen zodat ik profijt heb van evt. verbeteringen. Als er dan toch problemen zijn kan je nog steeds terug naar een oudere versie. Die staat meestal ook nog in de PPA en anders wel in de cache van apt-get.

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Tip: zet een pakketversie vast met apt-mark
« Reactie #7 Gepost op: 2015/05/14, 10:58:02 »
(...) en anders wel in de cache van apt-get.
... zolang je deze niet opruimt met bv apt-get clean.